Subject: bug#19832: closed (Re: bug#19832: Deleting unused links is too slow)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 12 Feb 2015 17:27:02 +0000

Your bug report

#19832: Deleting unused links is too slow

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19832: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19832
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19832: Deleting unused links is too slow
From: [email-masked] (Ludovic Courtès)
To: Andreas Enge <[email-masked]>
Cc: [email-masked]
Date: Thu, 12 Feb 2015 18:26:54 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Andreas Enge <[email-masked]> skribis:

> On Tue, Feb 10, 2015 at 11:24:51PM +0100, Ludovic Courtès wrote:
>> If you haven’t GC’d in a long time, it’s also likely to take longer.
>
> Maybe that was the problem. I tried again later to gc one package, and it was
> almost instantaneous. Which means that there might not be a problem after all.

OK, closing it then.

Thanks,
Ludo’.

Subject: Deleting unused links is too slow
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Tue, 10 Feb 2015 20:25:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I just compiled a test package and tried a
"guix gc -d /path/to/package/in/store"

After printing
 deleting `/gnu/store/642pwarg5hppzh1gwadd07w0g4w3rwpx-nss-certs-3.17.3'
 deleting `/gnu/store/trash'
 deleting unused links...
which is instantaneous, I need to wait for 5 minutes with the disk spinning.

I suppose this is a side-effect of deduplication?

Andreas